﻿/**Begin 零售开单一期基础资料索引 **/

/** 发票云配置渠道分类 **/
 EXEC P_ALTERPK 'PK_DBD_INCFGCUSERGROUP', 'T_DBD_INCFGCUSERGROUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_INCFGCUSERGROUP_ID') CREATE INDEX IDX_DBD_INCFGCUSERGROUP_ID ON T_DBD_INCFGCUSERGROUP ( FID );

/** 发票云配置组织分类 **/
 EXEC P_ALTERPK 'PK_DBD_INCFGORGRANGE', 'T_DBD_INCFGORGRANGE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_INCFGORGRANGE_ID') CREATE INDEX IDX_DBD_INCFGORGRANGE_ID ON T_DBD_INCFGORGRANGE ( FID );

/** 发票云配置使用门店范围表 **/
 EXEC P_ALTERPK 'PK_DBD_INVOICEBRANCH', 'T_DBD_INVOICEBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_INVOICEBRANCH_FID') CREATE INDEX IDX_DBD_INVOICEBRANCH_FID ON T_DBD_INVOICEBRANCH ( FID );

/** 发票云配置 **/
 EXEC P_ALTERPK 'PK_DBD_INVOICECLOUDCFG', 'T_DBD_INVOICECLOUDCFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_INVOICECLOUDCFG_NUMBER') CREATE INDEX IDX_DBD_INVOICECLOUDCFG_NUMBER ON T_DBD_INVOICECLOUDCFG ( FNUMBER );

/** 发票云配置多语言 **/
 EXEC P_ALTERPK 'PK_DBD_INVOICECLOUDCFG_L', 'T_DBD_INVOICECLOUDCFG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_INVOICECLOUDCFGL_IDLID') CREATE INDEX IDX_DBD_INVOICECLOUDCFGL_IDLID ON T_DBD_INVOICECLOUDCFG_L ( FID ,FLOCALEID );

/** 支付通道表 **/
 EXEC P_ALTERPK 'PK_DBD_PAYCHANNEL', 'T_DBD_PAYCHANNEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCHANNEL_NUM') CREATE INDEX IDX_DBD_PAYCHANNEL_NUM ON T_DBD_PAYCHANNEL ( FNUMBER );

/** 支付通道多语言表 **/
 EXEC P_ALTERPK 'PK_DBD_PAYCHANNEL_L', 'T_DBD_PAYCHANNEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCHANNELL_FIDFLID') CREATE INDEX IDX_DBD_PAYCHANNELL_FIDFLID ON T_DBD_PAYCHANNEL_L ( FID ,FLOCALEID );

/** 支付配置 **/
 EXEC P_ALTERPK 'PK_DBD_PAYCONFIG', 'T_DBD_PAYCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CONFIG_CHANNELID') CREATE INDEX IDX_DBD_CONFIG_CHANNELID ON T_DBD_PAYCONFIG ( FPAYCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CONFIG_NUMBER') CREATE INDEX IDX_DBD_CONFIG_NUMBER ON T_DBD_PAYCONFIG ( FNUMBER );

/** 支付配置附件表 **/
 EXEC P_ALTERPK 'PK_DBD_PAYCONFIG_ATTACH', 'T_DBD_PAYCONFIG_ATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCONFIGATTACH_FID') CREATE INDEX IDX_DBD_PAYCONFIGATTACH_FID ON T_DBD_PAYCONFIG_ATTACH ( FID );

/** 支付配置明细表 **/
 EXEC P_ALTERPK 'PK_DBD_PAYCONFIG_DETAIL', 'T_DBD_PAYCONFIG_DETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCONFIGDETAIL_FID') CREATE INDEX IDX_DBD_PAYCONFIGDETAIL_FID ON T_DBD_PAYCONFIG_DETAIL ( FID );

/** 支付配置多语言表 **/
 EXEC P_ALTERPK 'PK_DBD_PAYCONFIG_L', 'T_DBD_PAYCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCONFIGL_FIDFLID') CREATE INDEX IDX_DBD_PAYCONFIGL_FIDFLID ON T_DBD_PAYCONFIG_L ( FID ,FLOCALEID );

/** 收款方式渠道分类 **/
 EXEC P_ALTERPK 'PK_DBD_PAYCUSERGROUP', 'T_DBD_PAYCUSERGROUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCUSERGROUP_ID') CREATE INDEX IDX_DBD_PAYCUSERGROUP_ID ON T_DBD_PAYCUSERGROUP ( FID );

/** 收款方式 **/
 EXEC P_ALTERPK 'PK_DBD_PAYMENTTYPE', 'T_DBD_PAYMENTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYMENTTYPE_NUMBER') CREATE INDEX IDX_DBD_PAYMENTTYPE_NUMBER ON T_DBD_PAYMENTTYPE ( FNUMBER );

/** 收款方式多语言 **/
 EXEC P_ALTERPK 'PK_DBD_PAYMENTTYPE_L', 'T_DBD_PAYMENTTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYMENTTYPEL_FIDLID') CREATE INDEX IDX_DBD_PAYMENTTYPEL_FIDLID ON T_DBD_PAYMENTTYPE_L ( FID ,FLOCALEID );

/** 收款方式组织分类 **/
 EXEC P_ALTERPK 'PK_DBD_PAYORGRANGE', 'T_DBD_PAYORGRANGE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYORGRANGE_ID') CREATE INDEX IDX_DBD_PAYORGRANGE_ID ON T_DBD_PAYORGRANGE ( FID );

 
/**End 零售开单一期基础资料索引 **/

/**Begin OCIC渠道仓库相关索引 **/

 EXEC P_ALTERPK 'PK_DBD_LOCATION', 'T_DBD_LOCATION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LOCATION_NUMBER') CREATE INDEX IDX_DBD_LOCATION_NUMBER ON T_DBD_LOCATION ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_LOCATION_L', 'T_DBD_LOCATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LOCATION_L_FENTRYID') CREATE INDEX IDX_DBD_LOCATION_L_FENTRYID ON T_DBD_LOCATION_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_LOT', 'T_DBD_LOT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LOT_NUMBER') CREATE INDEX IDX_DBD_LOT_NUMBER ON T_DBD_LOT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LOT_ITEMID') CREATE INDEX IDX_DBD_LOT_ITEMID ON T_DBD_LOT ( FITEMID );


 EXEC P_ALTERPK 'PK_DBD_SNMAINFILE', 'T_DBD_SNMAINFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_SNMAINFILE_NUMBER') CREATE UNIQUE INDEX IDX_DBD_SNMAINFILE_NUMBER ON T_DBD_SNMAINFILE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_SNMAINFILE_ITEMORG') CREATE INDEX IDX_DBD_SNMAINFILE_ITEMORG ON T_DBD_SNMAINFILE ( FITEMID ,FCHANNELID ,FSALEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_SNMAINFILE_LOTCHANNEL') CREATE INDEX IDX_DBD_SNMAINFILE_LOTCHANNEL ON T_DBD_SNMAINFILE ( FLOTNUM ,FCHANNELID );


 EXEC P_ALTERPK 'PK_DBD_STOCKSTATUS', 'T_DBD_STOCKSTATUS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_STOCKSTATUS_NUMBER') CREATE INDEX IDX_DBD_STOCKSTATUS_NUMBER ON T_DBD_STOCKSTATUS ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_STOCKSTATUS_L', 'T_DBD_STOCKSTATUS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_STOCKSTATUS_L_FID') CREATE INDEX IDX_DBD_STOCKSTATUS_L_FID ON T_DBD_STOCKSTATUS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_STOCKTYPE', 'T_DBD_STOCKTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_STOCKTYPE_NUMBER') CREATE INDEX IDX_DBD_STOCKTYPE_NUMBER ON T_DBD_STOCKTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_STOCKTYPE_L', 'T_DBD_STOCKTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_STOCKTYPE_L_FID') CREATE INDEX IDX_DBD_STOCKTYPE_L_FID ON T_DBD_STOCKTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_WAREHOUSE', 'T_DBD_WAREHOUSE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_WAREHOUSE_NUMBER') CREATE INDEX IDX_DBD_WAREHOUSE_NUMBER ON T_DBD_WAREHOUSE ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_WAREHOUSE_L', 'T_DBD_WAREHOUSE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_WAREHOUSE_L_FID') CREATE INDEX IDX_DBD_WAREHOUSE_L_FID ON T_DBD_WAREHOUSE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_CHANNELINVACC', 'T_DBD_CHANNELINVACC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CHANNELINVACC_KEY') CREATE UNIQUE INDEX IDX_DBD_CHANNELINVACC_KEY ON T_DBD_CHANNELINVACC ( FUPDATEKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CHANNELINVACC_ITEMORG') CREATE INDEX IDX_DBD_CHANNELINVACC_ITEMORG ON T_DBD_CHANNELINVACC ( FCHANNELID ,FITEMID ,FSALEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CHANNELINVACC_LOTCHAN') CREATE INDEX IDX_DBD_CHANNELINVACC_LOTCHAN ON T_DBD_CHANNELINVACC ( FLOTNUM ,FCHANNELID );


 EXEC P_ALTERPK 'PK_DBD_CHANNELINVACCLOG', 'T_DBD_CHANNELINVACCLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CHANNELINVACCLOG_CHI') CREATE INDEX IDX_DBD_CHANNELINVACCLOG_CHI ON T_DBD_CHANNELINVACCLOG ( FCHANNELID ,FITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CHANNELINVACCLOG_BID') CREATE INDEX IDX_DBD_CHANNELINVACCLOG_BID ON T_DBD_CHANNELINVACCLOG ( FBILLID ,FBILLENTRYID );


 EXEC P_ALTERPK 'PK_DBD_LOTDATE', 'T_DBD_LOTDATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LOTDATE_ID') CREATE INDEX IDX_DBD_LOTDATE_ID ON T_DBD_LOTDATE ( FID );


 EXEC P_ALTERPK 'PK_DBD_LOTMOVETRACK', 'T_DBD_LOTMOVETRACK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LMR_BILLID_ENTITYID') CREATE INDEX IDX_DBD_LMR_BILLID_ENTITYID ON T_DBD_LOTMOVETRACK ( FBILLID ,FBILLENTITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LMR_FLOTID') CREATE INDEX IDX_DBD_LMR_FLOTID ON T_DBD_LOTMOVETRACK ( FLOTID );


 EXEC P_ALTERPK 'PK_DBD_SNMOVETRACK', 'T_DBD_SNMOVETRACK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_SNMOVETRACK_SN') CREATE INDEX IDX_DBD_SNMOVETRACK_SN ON T_DBD_SNMOVETRACK ( FSNMAINFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_SNMOVETRACK_BILLID') CREATE INDEX IDX_DBD_SNMOVETRACK_BILLID ON T_DBD_SNMOVETRACK ( FBILLID ,FBILLENTRYID );


 EXEC P_ALTERPK 'PK_DBD_WAREHOUSEEXC', 'T_DBD_WAREHOUSEEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_WAREHOUSEEXC_UO') CREATE INDEX IDX_DBD_WAREHOUSEEXC_UO ON T_DBD_WAREHOUSEEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_DBD_WAREHOUSEUSEREG', 'T_DBD_WAREHOUSEUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_WAREHOUSEUSEREG_CO') CREATE INDEX IDX_DBD_WAREHOUSEUSEREG_CO ON T_DBD_WAREHOUSEUSEREG ( FCREATEORGID );

/**End OCIC渠道仓库相关索引 **/
