﻿/**Begin D:\soft\PDM_UPGRADE\PDM1\DBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_PRICECHANGE' AND KSQL_COL_NAME IN ('FCREATETIME')) 
 ALTER TABLE T_DBD_PRICECHANGE ADD (FCREATETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_PRICECHANGE' AND KSQL_COL_NAME IN ('FMODIFYTIME')) 
 ALTER TABLE T_DBD_PRICECHANGE ADD (FMODIFYTIME DATETIME );
/**Begin D:\soft\PDM_UPGRADE\PDM1\DBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_SALEITEM_CONTENT' AND KSQL_COL_NAME ='FCREATETIME') 
 ALTER TABLE T_DBD_SALEITEM_CONTENT ADD (FCREATETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_SALEITEM_CONTENT' AND KSQL_COL_NAME ='FMODIFYTIME') 
 ALTER TABLE T_DBD_SALEITEM_CONTENT ADD (FMODIFYTIME DATETIME );
/**End D:\soft\PDM_UPGRADE\PDM1\DBD_table.sql **/

/**End D:\soft\PDM_UPGRADE\PDM1\DBD_table.sql **/


/**Begin 零售开单一期基础资料建表脚本 **/


/** 发票云配置渠道分类 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_INCFGCUSERGROUP') 
 CREATE TABLE T_DBD_INCFGCUSERGROUP (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/** 发票云配置组织分类 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_INCFGORGRANGE') 
 CREATE TABLE T_DBD_INCFGORGRANGE (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/** 发票云配置使用门店范围表 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_INVOICEBRANCH') 
 CREATE TABLE T_DBD_INVOICEBRANCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLICABLE CHAR(1) DEFAULT '0' NOT NULL
);

/** 发票云配置 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_INVOICECLOUDCFG') 
 CREATE TABLE T_DBD_INVOICECLOUDCFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCLIENTID VARCHAR(255) DEFAULT ' ' NOT NULL,
FCLIENTSECRET VARCHAR(255) DEFAULT ' ' NOT NULL,
FAESKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYID VARCHAR(255) DEFAULT ' ' NOT NULL,
FSECRET VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTROLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCLIENTSECRET_ENP VARCHAR(1000) DEFAULT ' ' NOT NULL,
FAESKEY_ENP VARCHAR(1000) DEFAULT ' ' NOT NULL,
FSECRET_ENP VARCHAR(1000) DEFAULT ' ' NOT NULL
);

/** 发票云配置多语言 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_INVOICECLOUDCFG_L') 
 CREATE TABLE T_DBD_INVOICECLOUDCFG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

/** 支付通道表 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYCHANNEL') 
 CREATE TABLE T_DBD_PAYCHANNEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSERVICE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

/** 支付通道多语言表 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYCHANNEL_L') 
 CREATE TABLE T_DBD_PAYCHANNEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

/** 支付配置 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYCONFIG') 
 CREATE TABLE T_DBD_PAYCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FPAYCHANNELID BIGINT DEFAULT 0 NOT NULL,
FAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMCHID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FAPPKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNMCHID VARCHAR(50) DEFAULT ' ' NOT NULL,
FALIPUBLICKEY VARCHAR(2550) DEFAULT ' ' NOT NULL,
FDEVPUBLICKEY VARCHAR(2550) DEFAULT ' ' NOT NULL,
FDEVPRIVATEKEY VARCHAR(2550) DEFAULT ' ' NOT NULL,
FSIGNTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCERTADDR VARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTEXPIREDATE DATETIME,
FCERTPWD VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTHTOKEN VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTHEXPIREDATE DATETIME,
FREFRESHTOKEN VARCHAR(50) DEFAULT ' ' NOT NULL,
FREFRESHEXPIREDATE DATETIME,
FISCONTRACTOR CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL
);


/** 支付配置附件表 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYCONFIG_ATTACH') 
 CREATE TABLE T_DBD_PAYCONFIG_ATTACH (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/** 支付配置明细表 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYCONFIG_DETAIL') 
 CREATE TABLE T_DBD_PAYCONFIG_DETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);

/** 支付配置多语言表 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYCONFIG_L') 
 CREATE TABLE T_DBD_PAYCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

/** 收款方式渠道分类 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYCUSERGROUP') 
 CREATE TABLE T_DBD_PAYCUSERGROUP (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/** 收款方式 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYMENTTYPE') 
 CREATE TABLE T_DBD_PAYMENTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFNCBALANCETYPEID BIGINT DEFAULT 0 NOT NULL,
FBANKACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FCASHACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FINTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYMENTCHANNELID BIGINT DEFAULT 0 NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT '0' NOT NULL,
FISREWARDPOINTS CHAR(1) DEFAULT '0' NOT NULL,
FISENTERNUMBER CHAR(1) DEFAULT '0' NOT NULL,
FISINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FISCOUPON CHAR(1) DEFAULT '0' NOT NULL,
FISINTEGRATEDFNC CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLTYPE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);

/** 收款方式多语言 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYMENTTYPE_L') 
 CREATE TABLE T_DBD_PAYMENTTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

/** 收款方式组织分类 **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYORGRANGE') 
 CREATE TABLE T_DBD_PAYORGRANGE (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/**End 零售开单一期基础资料建表脚本 **/

/**Begin OCIC渠道仓库相关建表脚本 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_LOCATION') 
 CREATE TABLE T_DBD_LOCATION (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FERPLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_LOCATION_L') 
 CREATE TABLE T_DBD_LOCATION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_LOT') 
 CREATE TABLE T_DBD_LOT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FSCMLOTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_SNMAINFILE') 
 CREATE TABLE T_DBD_SNMAINFILE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSCMSNID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FSNSTATUS VARCHAR(1) DEFAULT '1' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANNELSTOCKID BIGINT DEFAULT 0 NOT NULL,
FCHANNELLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTDATE DATETIME,
FEFFECTIVEDATE DATETIME,
FLOCKSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FCREATETYPE CHAR(1) DEFAULT 'D' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_STOCKSTATUS') 
 CREATE TABLE T_DBD_STOCKSTATUS (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FERPSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_STOCKSTATUS_L') 
 CREATE TABLE T_DBD_STOCKSTATUS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_STOCKTYPE') 
 CREATE TABLE T_DBD_STOCKTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FERPSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_STOCKTYPE_L') 
 CREATE TABLE T_DBD_STOCKTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_WAREHOUSE') 
 CREATE TABLE T_DBD_WAREHOUSE (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FOWNERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FADMDIVISIONID BIGINT DEFAULT 0 NOT NULL,
FDETAILADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRINCIPALID BIGINT DEFAULT 0 NOT NULL,
FTELEPHONE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FISRETURN CHAR(1) DEFAULT '0' NOT NULL,
FERPWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FENABLELOCATION CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWAREHOUSETYPE CHAR(1) DEFAULT '1' NOT NULL,
FERPSTOCKORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_WAREHOUSE_L') 
 CREATE TABLE T_DBD_WAREHOUSE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_CHANNELINVACC') 
 CREATE TABLE T_DBD_CHANNELINVACC (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANNELSTOCKID BIGINT DEFAULT 0 NOT NULL,
FCHANNELLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTDATE DATETIME,
FEFFECTIVEDATE DATETIME,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FUPDATEKEY VARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_CHANNELINVACCLOG') 
 CREATE TABLE T_DBD_CHANNELINVACCLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANNELSTOCKID BIGINT DEFAULT 0 NOT NULL,
FCHANNELLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTDATE DATETIME,
FEFFECTIVEDATE DATETIME,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_LOTDATE') 
 CREATE TABLE T_DBD_LOTDATE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRODUCTDATE DATETIME,
FEXPIREDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_LOTMOVETRACK') 
 CREATE TABLE T_DBD_LOTMOVETRACK (
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMOVEDIRECT CHAR(1) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSRCCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSRCWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FSRCLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FDESCHANNELID BIGINT DEFAULT 0 NOT NULL,
FDESWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FDESLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMOVEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_SNMOVETRACK') 
 CREATE TABLE T_DBD_SNMOVETRACK (
FID BIGINT DEFAULT 0 NOT NULL,
FSNMAINFILEID BIGINT DEFAULT 0 NOT NULL,
FMOVEDIRECT CHAR(1) DEFAULT 'A' NOT NULL,
FMOVEDATE DATETIME,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSRCCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSRCCHANNELSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSRCCHANNELLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FSRCSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSRCSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FSRCSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FSRCSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCOWNERID BIGINT DEFAULT 0 NOT NULL,
FSRCOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCKEEPERID BIGINT DEFAULT 0 NOT NULL,
FSRCKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FDESTCHANNELID BIGINT DEFAULT 0 NOT NULL,
FDESTCHANNELSTOCKID BIGINT DEFAULT 0 NOT NULL,
FDESTCHANNELLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FDESTSALEORGID BIGINT DEFAULT 0 NOT NULL,
FDESTSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_WAREHOUSEEXC') 
 CREATE TABLE T_DBD_WAREHOUSEEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_WAREHOUSEUSEREG') 
 CREATE TABLE T_DBD_WAREHOUSEUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT '0' NOT NULL
);

/**End OCIC渠道仓库相关建表脚本 **/