﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO') 
 CREATE TABLE T_DBD_MEMBERINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMEMBERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWECHATUNIONID NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPHONENUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FIDNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FOFFLINEMEMBERID BIGINT DEFAULT 0 NOT NULL,
FONLINEMEMBERID BIGINT DEFAULT 0 NOT NULL,
FFANSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO_F') 
 CREATE TABLE T_DBD_MEMBERINFO_F (
FID BIGINT DEFAULT 0 NOT NULL,
FOFFNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FOFFHEADIMAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLABELID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FOFFORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FOFFPHONE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FOFFBIRTHDATE DATETIME,
FOFFSEX CHAR(1) DEFAULT '1' NOT NULL,
FOFFNATIONALID BIGINT DEFAULT 0 NOT NULL,
FOFFEDUCATIONALID BIGINT DEFAULT 0 NOT NULL,
FOFFWECHAT NVARCHAR(60) DEFAULT ' ' NOT NULL,
FOFFEMAIL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOFFVIPTYPEID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FOFFMONTHINCOMEID BIGINT DEFAULT 0 NOT NULL,
FOFFCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FOFFOCCUPATIONID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FOFFNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFTELEPHONE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSALESMANID BIGINT DEFAULT 0 NOT NULL,
FOFFMEMBERID BIGINT DEFAULT 0 NOT NULL,
FCONSUMEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNQTY INT DEFAULT 0 NOT NULL,
FISRECEIVEMSG CHAR(1) DEFAULT '0' NOT NULL,
FRETURNAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONSUMEQTY INT DEFAULT 0 NOT NULL,
FISRECEIVEEMAIL CHAR(1) DEFAULT '0' NOT NULL,
FISFROMONLINE CHAR(1) DEFAULT '0' NOT NULL,
FOFFISENABLE CHAR(1) DEFAULT '1' NOT NULL,
FOFFISAUDIT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO_FEXC') 
 CREATE TABLE T_DBD_MEMBERINFO_FEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO_FUSEREG') 
 CREATE TABLE T_DBD_MEMBERINFO_FUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO_L') 
 CREATE TABLE T_DBD_MEMBERINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO_N') 
 CREATE TABLE T_DBD_MEMBERINFO_N (
FID BIGINT DEFAULT 0 NOT NULL,
FONNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FONHEADIMAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FONORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FONPHONE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FONBIRTHDATE DATETIME,
FONSEX CHAR(1) DEFAULT '1' NOT NULL,
FONNATIONALID BIGINT DEFAULT 0 NOT NULL,
FONEDUCATIONALID BIGINT DEFAULT 0 NOT NULL,
FONEMAIL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FONVIPTYPE BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FONMONTHINCOMEID BIGINT DEFAULT 0 NOT NULL,
FONCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FONOCCUPATIONID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FONTELEPHONE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FONWECHAT NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSALESMANID BIGINT DEFAULT 0 NOT NULL,
FONMEMBERID BIGINT DEFAULT 0 NOT NULL,
FOFFICIALACCOUNTID NVARCHAR(60) DEFAULT ' ' NOT NULL,
FWECHATID NVARCHAR(60) DEFAULT ' ' NOT NULL,
FWECHATOPENID NVARCHAR(60) DEFAULT ' ' NOT NULL,
FWECHATUNIONID NVARCHAR(60) DEFAULT ' ' NOT NULL,
FISREGISTED CHAR(1) DEFAULT '0' NOT NULL,
FONISENABLE CHAR(1) DEFAULT '1' NOT NULL,
FONISAUDIT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO_NEXC') 
 CREATE TABLE T_DBD_MEMBERINFO_NEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO_NUSEREG') 
 CREATE TABLE T_DBD_MEMBERINFO_NUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO_F_L') 
 CREATE TABLE T_DBD_MEMBERINFO_F_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FOFFNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MEMBERINFO_N_L') 
 CREATE TABLE T_DBD_MEMBERINFO_N_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);

 EXEC p_AlterColumn 'T_DBD_FANSINFO', 'FFIRSTINTERACTIONDETAILS', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_DBD_FANSINFO', 'FFIRSTINTERACTIONTYPE', 'NVARCHAR(60)', 'NOT NULL', '1111', ''' ''';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_table.sql **/
