IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYWAYTYPE') 
 CREATE TABLE T_DBD_PAYWAYTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYWAYTYPE_L') 
 CREATE TABLE T_DBD_PAYWAYTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_CHANNERLCFG_L') 
 CREATE TABLE T_DBD_CHANNERLCFG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FINTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_CHANNERLCFG' AND KSQL_COL_NAME ='FPOSCODE') 
 ALTER TABLE T_DBD_CHANNERLCFG ADD (FPOSCODE VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_CHANNERLCFG' AND KSQL_COL_NAME ='FCURRENCYID') 
 ALTER TABLE T_DBD_CHANNERLCFG ADD (FCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_CHANNERLCFG' AND KSQL_COL_NAME ='FFNCBALANCETYPEID') 
 ALTER TABLE T_DBD_CHANNERLCFG ADD (FFNCBALANCETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_CHANNERLCFG' AND KSQL_COL_NAME ='FBANKACCOUNTID') 
 ALTER TABLE T_DBD_CHANNERLCFG ADD (FBANKACCOUNTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_CHANNERLCFG' AND KSQL_COL_NAME ='FCASHACCOUNTID') 
 ALTER TABLE T_DBD_CHANNERLCFG ADD (FCASHACCOUNTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_CHANNERLCFG' AND KSQL_COL_NAME ='FINTNAME') 
 ALTER TABLE T_DBD_CHANNERLCFG ADD (FINTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYMENTTYPE_FORM') 
 CREATE TABLE T_DBD_PAYMENTTYPE_FORM (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_PAYMENTTYPE' AND KSQL_COL_NAME ='FSERVICE') 
 ALTER TABLE T_DBD_PAYMENTTYPE ADD (FSERVICE NVARCHAR(255) DEFAULT ' ' NOT NULL );