﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_DBD_ISSUESBRANCHENTRY', 'T_DBD_ISSUESBRANCHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_ISSUESBRANCHE_FID') CREATE INDEX IDX_DBD_ISSUESBRANCHE_FID ON T_DBD_ISSUESBRANCHENTRY ( FID );


 EXEC P_ALTERPK 'PK_DBD_ISSUESCHANNELGRP', 'T_DBD_ISSUESCHANNELGRP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_ISSUESCHANNELGRP_FID') CREATE INDEX IDX_DBD_ISSUESCHANNELGRP_FID ON T_DBD_ISSUESCHANNELGRP ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_DBD_ISSUESCHEME', 'T_DBD_ISSUESCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_ISSUESCHEME_FNUMBER') CREATE INDEX IDX_DBD_ISSUESCHEME_FNUMBER ON T_DBD_ISSUESCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_ISSUESCHEME_L', 'T_DBD_ISSUESCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_ISSUESCHEME_L_LCID') CREATE INDEX IDX_DBD_ISSUESCHEME_L_LCID ON T_DBD_ISSUESCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_ISSUESCHEMEORG', 'T_DBD_ISSUESCHEMEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_ISSUESCHEMEORG_FID') CREATE INDEX IDX_DBD_ISSUESCHEMEORG_FID ON T_DBD_ISSUESCHEMEORG ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_DBD_MARKETACTIVITY', 'T_DBD_MARKETACTIVITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MARKETACTIVITY_NUM') CREATE INDEX IDX_DBD_MARKETACTIVITY_NUM ON T_DBD_MARKETACTIVITY ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_MARKETACTIVITY_L', 'T_DBD_MARKETACTIVITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MARKETACTIVITY_L_LCID') CREATE INDEX IDX_DBD_MARKETACTIVITY_L_LCID ON T_DBD_MARKETACTIVITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MARKETACTIVITYORG', 'T_DBD_MARKETACTIVITYORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MARKETACTIVITYORG_ID') CREATE INDEX IDX_DBD_MARKETACTIVITYORG_ID ON T_DBD_MARKETACTIVITYORG ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_DBD_MKTABRANCHENTRY', 'T_DBD_MKTABRANCHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MKTABRANCHENTRY_FID') CREATE INDEX IDX_DBD_MKTABRANCHENTRY_FID ON T_DBD_MKTABRANCHENTRY ( FID );

 EXEC P_ALTERPK 'PK_DBD_MKTATICTENTRY', 'T_DBD_MKTATICTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MKTATICTENTRY_FID') CREATE INDEX IDX_DBD_MKTATICTENTRY_FID ON T_DBD_MKTATICTENTRY ( FID );


 EXEC P_ALTERPK 'PK_DBD_TICCODERULEENTRY', 'T_DBD_TICCODERULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICCODERULEENTRY_ID') CREATE INDEX IDX_DBD_TICCODERULEENTRY_ID ON T_DBD_TICCODERULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_DBD_TICKETSCODERULE', 'T_DBD_TICKETSCODERULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSCODERULE_NUM') CREATE INDEX IDX_DBD_TICKETSCODERULE_NUM ON T_DBD_TICKETSCODERULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_TICKETSCODERULE_L', 'T_DBD_TICKETSCODERULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSCODERULE_L_LCID') CREATE INDEX IDX_DBD_TICKETSCODERULE_L_LCID ON T_DBD_TICKETSCODERULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_TICKETSINFO', 'T_DBD_TICKETSINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSINFO_FNUMBER') CREATE INDEX IDX_DBD_TICKETSINFO_FNUMBER ON T_DBD_TICKETSINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_TICKETSINFO_L', 'T_DBD_TICKETSINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSINFO_L_LCID') CREATE INDEX IDX_DBD_TICKETSINFO_L_LCID ON T_DBD_TICKETSINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_TICKETSTYPE', 'T_DBD_TICKETSTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSTYPE_FNUMBER') CREATE INDEX IDX_DBD_TICKETSTYPE_FNUMBER ON T_DBD_TICKETSTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_TICKETSTYPE_L', 'T_DBD_TICKETSTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSTYPE_L_LCID') CREATE INDEX IDX_DBD_TICKETSTYPE_L_LCID ON T_DBD_TICKETSTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_TICKETSTYPE_O', 'T_DBD_TICKETSTYPE_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSTYPE_O_NO') CREATE INDEX IDX_DBD_TICKETSTYPE_O_NO ON T_DBD_TICKETSTYPE_O ( FCHECKNO );


 EXEC P_ALTERPK 'PK_DBD_TICKETSTYPECSTGRP', 'T_DBD_TICKETSTYPECSTGRP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSTYPECSTGRP_ID') CREATE INDEX IDX_DBD_TICKETSTYPECSTGRP_ID ON T_DBD_TICKETSTYPECSTGRP ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_DBD_TICKETSTYPEORG', 'T_DBD_TICKETSTYPEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSTYPEORG_FID') CREATE INDEX IDX_DBD_TICKETSTYPEORG_FID ON T_DBD_TICKETSTYPEORG ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_DBD_TICTBRANCHENTRY', 'T_DBD_TICTBRANCHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICTBRANCHENTRY_ID') CREATE INDEX IDX_DBD_TICTBRANCHENTRY_ID ON T_DBD_TICTBRANCHENTRY ( FID );


 EXEC P_ALTERPK 'PK_DBD_TICTGOODSENTRY', 'T_DBD_TICTGOODSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICTGOODSENTRY_FID') CREATE INDEX IDX_DBD_TICTGOODSENTRY_FID ON T_DBD_TICTGOODSENTRY ( FID );


 EXEC P_ALTERPK 'PK_DBD_TICKETSINFO_O', 'T_DBD_TICKETSINFO_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_TICKETSINFO_O_BLNO') CREATE INDEX IDX_DBD_TICKETSINFO_O_BLNO ON T_DBD_TICKETSINFO_O ( FMAKEBILLNO );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/
