﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_PRICECHANGEENTRY_I' AND KSQL_COL_NAME IN ('FMATERIELID')) 
 ALTER TABLE T_DBD_PRICECHANGEENTRY_I ADD (FMATERIELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_PRICECHANGEENTRY_I' AND KSQL_COL_NAME IN ('FAUXPTYID')) 
 ALTER TABLE T_DBD_PRICECHANGEENTRY_I ADD (FAUXPTYID BIGINT DEFAULT 0 NOT NULL );
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_PRICECHANGEENTRY_C' AND KSQL_COL_NAME ='FCUSTOMERGROUPID') 
 ALTER TABLE T_DBD_PRICECHANGEENTRY_C ADD (FCUSTOMERGROUPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_SALEITEM_CONTENT' AND KSQL_COL_NAME ='FENABLE') 
 ALTER TABLE T_DBD_SALEITEM_CONTENT ADD (FENABLE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_ITEM_BARCODE') 
 CREATE TABLE T_DBD_ITEM_BARCODE (
FID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBARCODE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL
);
 
 
--收款方式适用门店范围表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_PAYBRANCH') 
 CREATE TABLE T_DBD_PAYBRANCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLICABLE CHAR(1) DEFAULT '0' NOT NULL
);

--支付配置新增字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_PAYCONFIG' AND KSQL_COL_NAME ='FAPPKEY_ENP') 
 ALTER TABLE T_DBD_PAYCONFIG ADD (FAPPKEY_ENP NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_DBD_PAYCONFIG' AND KSQL_COL_NAME ='FDEVPRIVATEKEY_ENP') 
 ALTER TABLE T_DBD_PAYCONFIG ADD (FDEVPRIVATEKEY_ENP NCLOB ); 
 
 --修改发票云配置表字段类型
 EXEC p_AlterColumn 'T_DBD_INVOICECLOUDCFG', 'FCLIENTSECRET_ENP', 'NCLOB', 'NULL', '1111', 'NULL';
 EXEC p_AlterColumn 'T_DBD_INVOICECLOUDCFG', 'FAESKEY_ENP', 'NCLOB', 'NULL', '1111', 'NULL';
 EXEC p_AlterColumn 'T_DBD_INVOICECLOUDCFG', 'FSECRET_ENP', 'NCLOB', 'NULL', '1111', 'NULL';
 
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_table.sql **/
