﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_DBD_DISTRIBUTIONRULES', 'T_DBD_DISTRIBUTIONRULES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_DRULES_ORGBRANCH') CREATE INDEX IDX_DBD_DRULES_ORGBRANCH ON T_DBD_DISTRIBUTIONRULES ( FSALEORGID ,FSALEBRANCHID );


 EXEC P_ALTERPK 'PK_DBD_CHANNERLCFG', 'T_DBD_CHANNERLCFG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CHANNCFG_FID') CREATE INDEX IDX_DBD_CHANNCFG_FID ON T_DBD_CHANNERLCFG ( FID );


 EXEC P_ALTERPK 'PK_DBD_PAYATTACHMENT', 'T_DBD_PAYATTACHMENT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYATTA_FDETAILID') CREATE INDEX IDX_DBD_PAYATTA_FDETAILID ON T_DBD_PAYATTACHMENT ( FDETAILID );


 EXEC P_ALTERPK 'PK_DBD_PAYCFGBRANCH', 'T_DBD_PAYCFGBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCFGBRANCH_FID') CREATE INDEX IDX_DBD_PAYCFGBRANCH_FID ON T_DBD_PAYCFGBRANCH ( FID );


 EXEC P_ALTERPK 'PK_DBD_PAYCFGOWNER', 'T_DBD_PAYCFGOWNER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCFGOR_FID') CREATE INDEX IDX_DBD_PAYCFGOR_FID ON T_DBD_PAYCFGOWNER ( FID );


 EXEC P_ALTERPK 'PK_DBD_PAYCONFIGORG', 'T_DBD_PAYCONFIGORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCFGORG_FID') CREATE INDEX IDX_DBD_PAYCFGORG_FID ON T_DBD_PAYCONFIGORG ( FID );


 EXEC P_ALTERPK 'PK_DBD_PAYCONFIGS', 'T_DBD_PAYCONFIGS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYCNFGS_ORG') CREATE INDEX IDX_DBD_PAYCNFGS_ORG ON T_DBD_PAYCONFIGS ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_DBD_PAYPARAM_L', 'T_DBD_PAYPARAM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYPARAML_FIDFLID') CREATE INDEX IDX_DBD_PAYPARAML_FIDFLID ON T_DBD_PAYPARAM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_PAYPARAMSET_L', 'T_DBD_PAYPARAMSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYPRMSETL_FIDFLID') CREATE INDEX IDX_DBD_PAYPRMSETL_FIDFLID ON T_DBD_PAYPARAMSET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_PARAMCFG', 'T_DBD_PARAMCFG', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PARAMCFG_FENTRYID') CREATE INDEX IDX_DBD_PARAMCFG_FENTRYID ON T_DBD_PARAMCFG ( FENTRYID );


 EXEC P_ALTERPK 'PK_DBD_PAYPARAM', 'T_DBD_PAYPARAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYPARAM_NUMBER') CREATE INDEX IDX_DBD_PAYPARAM_NUMBER ON T_DBD_PAYPARAM ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_PAYPARAMSETENTRY', 'T_DBD_PAYPARAMSETENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYPRMSETE_FID') CREATE INDEX IDX_DBD_PAYPRMSETE_FID ON T_DBD_PAYPARAMSETENTRY ( FID );


 EXEC P_ALTERPK 'PK_DBD_PAYPARAMSET', 'T_DBD_PAYPARAMSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_PAYPRMSET_FPAYCHID') CREATE INDEX IDX_DBD_PAYPRMSET_FPAYCHID ON T_DBD_PAYPARAMSET ( FPAYCHANNELID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/
