﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_DRULES_COMBINATION') CREATE INDEX IDX_DBD_DRULES_COMBINATION ON T_DBD_DISTRIBUTIONRULES ( FCOMBINATION );

 EXEC P_ALTERPK 'PK_DBD_LOTINFO', 'T_DBD_LOTINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LOTINFO_NUMBER') CREATE INDEX IDX_DBD_LOTINFO_NUMBER ON T_DBD_LOTINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_LOTINFO_L', 'T_DBD_LOTINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LOTINFOL_FIDFLID') CREATE INDEX IDX_DBD_LOTINFOL_FIDFLID ON T_DBD_LOTINFO_L ( FID ,FLOCALEID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LOT_LOTID') CREATE INDEX IDX_DBD_LOT_LOTID ON T_DBD_LOT ( FLOTID );

 EXEC P_ALTERPK 'PK_DBD_FANSINFO', 'T_DBD_FANSINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_FANSINFO_FNUM') CREATE INDEX IDX_DBD_FANSINFO_FNUM ON T_DBD_FANSINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_FANSINFO_L', 'T_DBD_FANSINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_FANSINFOL_FIDLID') CREATE INDEX IDX_DBD_FANSINFOL_FIDLID ON T_DBD_FANSINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_ADDRESS', 'T_DBD_MEMBER_ADDRESS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBER_ADDRESS_FID') CREATE INDEX IDX_MEMBER_ADDRESS_FID ON T_DBD_MEMBER_ADDRESS ( FID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_BANKENTRY', 'T_DBD_MEMBER_BANKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_BANKENTRY_FID') CREATE INDEX IDX_DBD_BANKENTRY_FID ON T_DBD_MEMBER_BANKENTRY ( FID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_CERTIFICATE', 'T_DBD_MEMBER_CERTIFICATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CERTIFICATE_FID') CREATE INDEX IDX_DBD_CERTIFICATE_FID ON T_DBD_MEMBER_CERTIFICATE ( FID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_COMMDAY', 'T_DBD_MEMBER_COMMDAY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_COMMDAY_FID') CREATE INDEX IDX_DBD_COMMDAY_FID ON T_DBD_MEMBER_COMMDAY ( FID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_F', 'T_DBD_MEMBER_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBERF_FNM') CREATE INDEX IDX_MEMBERF_FNM ON T_DBD_MEMBER_F ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_F_L', 'T_DBD_MEMBER_F_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBERFL_FIDLID') CREATE INDEX IDX_MEMBERFL_FIDLID ON T_DBD_MEMBER_F_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_FEXC', 'T_DBD_MEMBER_FEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBER_FEXC_UO') CREATE INDEX IDX_DBD_MEMBER_FEXC_UO ON T_DBD_MEMBER_FEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_FUSEREG', 'T_DBD_MEMBER_FUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBER_FUSEREG_CO') CREATE INDEX IDX_DBD_MEMBER_FUSEREG_CO ON T_DBD_MEMBER_FUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_LABEL', 'T_DBD_MEMBER_LABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LABEL_FNUM') CREATE INDEX IDX_DBD_LABEL_FNUM ON T_DBD_MEMBER_LABEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_LABEL_L', 'T_DBD_MEMBER_LABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_VIPLABELL_FIDLID') CREATE INDEX IDX_DBD_VIPLABELL_FIDLID ON T_DBD_MEMBER_LABEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_LABELGROUP', 'T_DBD_MEMBER_LABELGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LABELGROUP_FUM') CREATE INDEX IDX_DBD_LABELGROUP_FUM ON T_DBD_MEMBER_LABELGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_LABELGROUP_L', 'T_DBD_MEMBER_LABELGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LABELGROUPL_FIDLID') CREATE INDEX IDX_LABELGROUPL_FIDLID ON T_DBD_MEMBER_LABELGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_N', 'T_DBD_MEMBER_N', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERN_FNUM') CREATE INDEX IDX_DBD_MEMBERN_FNUM ON T_DBD_MEMBER_N ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERN_TELNO') CREATE INDEX IDX_DBD_MEMBERN_TELNO ON T_DBD_MEMBER_N ( FPHONENUMBER );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_N_L', 'T_DBD_MEMBER_N_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERNL_FIDLID') CREATE INDEX IDX_DBD_MEMBERNL_FIDLID ON T_DBD_MEMBER_N_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_NEXC', 'T_DBD_MEMBER_NEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBER_NEXC_UO') CREATE INDEX IDX_DBD_MEMBER_NEXC_UO ON T_DBD_MEMBER_NEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_NUSEREG', 'T_DBD_MEMBER_NUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBER_NUSEREG_CO') CREATE INDEX IDX_DBD_MEMBER_NUSEREG_CO ON T_DBD_MEMBER_NUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_RELATION', 'T_DBD_MEMBER_RELATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBER_RELATION_FNUM') CREATE INDEX IDX_MEMBER_RELATION_FNUM ON T_DBD_MEMBER_RELATION ( FMEMBERNUMBER );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_RELATION_L', 'T_DBD_MEMBER_RELATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBER_RELATIONL_FIDLID') CREATE INDEX IDX_MEMBER_RELATIONL_FIDLID ON T_DBD_MEMBER_RELATION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBERLABEL', 'T_DBD_MEMBERLABEL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERLABEL_FID') CREATE INDEX IDX_DBD_MEMBERLABEL_FID ON T_DBD_MEMBERLABEL ( FID );


 EXEC P_ALTERPK 'PK_DBD_SOURCE_CHANNEL', 'T_DBD_SOURCE_CHANNEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SOURCE_CHANNEL_FNM') CREATE INDEX IDX_SOURCE_CHANNEL_FNM ON T_DBD_SOURCE_CHANNEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_SOURCE_CHANNEL_L', 'T_DBD_SOURCE_CHANNEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SOURCE_CHANNELL_FIDLID') CREATE INDEX IDX_SOURCE_CHANNELL_FIDLID ON T_DBD_SOURCE_CHANNEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_SOURCE_TYPE', 'T_DBD_SOURCE_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_SOURCETYPE_FNM') CREATE INDEX IDX_DBD_SOURCETYPE_FNM ON T_DBD_SOURCE_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_SOURCE_TYPE_L', 'T_DBD_SOURCE_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SOURCETYPEL_FIDLID') CREATE INDEX IDX_SOURCETYPEL_FIDLID ON T_DBD_SOURCE_TYPE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/
