﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/

 EXEC P_ALTERPK 'PK_DBD_FANSINFO', 'T_DBD_FANSINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_FANSINFO_FNUM') CREATE INDEX IDX_DBD_FANSINFO_FNUM ON T_DBD_FANSINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_FANSINFO_L', 'T_DBD_FANSINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_FANSINFOL_FIDLID') CREATE INDEX IDX_DBD_FANSINFOL_FIDLID ON T_DBD_FANSINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_ADDRESS', 'T_DBD_MEMBER_ADDRESS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBER_ADDRESS_FID') CREATE INDEX IDX_MEMBER_ADDRESS_FID ON T_DBD_MEMBER_ADDRESS ( FID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_BANKENTRY', 'T_DBD_MEMBER_BANKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_BANKENTRY_FID') CREATE INDEX IDX_DBD_BANKENTRY_FID ON T_DBD_MEMBER_BANKENTRY ( FID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_CERTIFICATE', 'T_DBD_MEMBER_CERTIFICATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_CERTIFICATE_FID') CREATE INDEX IDX_DBD_CERTIFICATE_FID ON T_DBD_MEMBER_CERTIFICATE ( FID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_COMMDAY', 'T_DBD_MEMBER_COMMDAY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_COMMDAY_FID') CREATE INDEX IDX_DBD_COMMDAY_FID ON T_DBD_MEMBER_COMMDAY ( FID );

 EXEC P_ALTERPK 'PK_DBD_MEMBER_LABEL', 'T_DBD_MEMBER_LABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LABEL_FNUM') CREATE INDEX IDX_DBD_LABEL_FNUM ON T_DBD_MEMBER_LABEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_LABEL_L', 'T_DBD_MEMBER_LABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_VIPLABELL_FIDLID') CREATE INDEX IDX_DBD_VIPLABELL_FIDLID ON T_DBD_MEMBER_LABEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_LABELGROUP', 'T_DBD_MEMBER_LABELGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_LABELGROUP_FUM') CREATE INDEX IDX_DBD_LABELGROUP_FUM ON T_DBD_MEMBER_LABELGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_MEMBER_LABELGROUP_L', 'T_DBD_MEMBER_LABELGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LABELGROUPL_FIDLID') CREATE INDEX IDX_LABELGROUPL_FIDLID ON T_DBD_MEMBER_LABELGROUP_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_DBD_MEMBERLABEL', 'T_DBD_MEMBERLABEL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERLABEL_FID') CREATE INDEX IDX_DBD_MEMBERLABEL_FID ON T_DBD_MEMBERLABEL ( FID );

 EXEC P_ALTERPK 'PK_DBD_SOURCE_CHANNEL', 'T_DBD_SOURCE_CHANNEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SOURCE_CHANNEL_FNM') CREATE INDEX IDX_SOURCE_CHANNEL_FNM ON T_DBD_SOURCE_CHANNEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_SOURCE_CHANNEL_L', 'T_DBD_SOURCE_CHANNEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SOURCE_CHANNELL_FIDLID') CREATE INDEX IDX_SOURCE_CHANNELL_FIDLID ON T_DBD_SOURCE_CHANNEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_SOURCE_TYPE', 'T_DBD_SOURCE_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_SOURCETYPE_FNM') CREATE INDEX IDX_DBD_SOURCETYPE_FNM ON T_DBD_SOURCE_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_DBD_SOURCE_TYPE_L', 'T_DBD_SOURCE_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SOURCETYPEL_FIDLID') CREATE INDEX IDX_SOURCETYPEL_FIDLID ON T_DBD_SOURCE_TYPE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/
