﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO', 'T_DBD_MEMBERINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBERINFO_FNUM') CREATE INDEX IDX_MEMBERINFO_FNUM ON T_DBD_MEMBERINFO ( FMEMBERNUMBER );


 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO_F', 'T_DBD_MEMBERINFO_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBERINFO_FNM') CREATE INDEX IDX_MEMBERINFO_FNM ON T_DBD_MEMBERINFO_F ( FOFFNUMBER );


 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO_FEXC', 'T_DBD_MEMBERINFO_FEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERINFO_FEXC_UO') CREATE INDEX IDX_DBD_MEMBERINFO_FEXC_UO ON T_DBD_MEMBERINFO_FEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO_FUSEREG', 'T_DBD_MEMBERINFO_FUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERINFO_FUSEREG_CO') CREATE INDEX IDX_DBD_MEMBERINFO_FUSEREG_CO ON T_DBD_MEMBERINFO_FUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO_L', 'T_DBD_MEMBERINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBERINFOL_FIDLID') CREATE INDEX IDX_MEMBERINFOL_FIDLID ON T_DBD_MEMBERINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO_N', 'T_DBD_MEMBERINFO_N', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERINFO_FNUM') CREATE INDEX IDX_DBD_MEMBERINFO_FNUM ON T_DBD_MEMBERINFO_N ( FONNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERINFO_TELNO') CREATE INDEX IDX_DBD_MEMBERINFO_TELNO ON T_DBD_MEMBERINFO_N ( FONPHONE );


 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO_NEXC', 'T_DBD_MEMBERINFO_NEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERINFO_NEXC_UO') CREATE INDEX IDX_DBD_MEMBERINFO_NEXC_UO ON T_DBD_MEMBERINFO_NEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO_NUSEREG', 'T_DBD_MEMBERINFO_NUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERINFO_NUSEREG_CO') CREATE INDEX IDX_DBD_MEMBERINFO_NUSEREG_CO ON T_DBD_MEMBERINFO_NUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO_F_L', 'T_DBD_MEMBERINFO_F_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MEMBERINFOFL_FIDLID') CREATE INDEX IDX_MEMBERINFOFL_FIDLID ON T_DBD_MEMBERINFO_F_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DBD_MEMBERINFO_N_L', 'T_DBD_MEMBERINFO_N_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DBD_MEMBERINFONL_FIDLID') CREATE INDEX IDX_DBD_MEMBERINFONL_FIDLID ON T_DBD_MEMBERINFO_N_L ( FID ,FLOCALEID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_constraint.sql **/
