﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_ISSUESBRANCHENTRY') 
 CREATE TABLE T_DBD_ISSUESBRANCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_ISSUESCHANNELGRP') 
 CREATE TABLE T_DBD_ISSUESCHANNELGRP (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_ISSUESCHEME') 
 CREATE TABLE T_DBD_ISSUESCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FSCHEMECATEGORY CHAR(1) DEFAULT ' ' NOT NULL,
FEFFECTDATE DATETIME,
FFAILUREDATE DATETIME,
FADTOTALQTY INT DEFAULT 0 NOT NULL,
FTOTALTICKETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FVALIDPERIODTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRELATIVEDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTOTALQTY INT DEFAULT 0 NOT NULL,
FVIPGETMAXQTY INT DEFAULT 0 NOT NULL,
FISALLVIP CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCONTROLMETHOD CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_ISSUESCHEME_L') 
 CREATE TABLE T_DBD_ISSUESCHEME_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_ISSUESCHEMEORG') 
 CREATE TABLE T_DBD_ISSUESCHEMEORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MARKETACTIVITY') 
 CREATE TABLE T_DBD_MARKETACTIVITY (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FISVALIDITYCTL CHAR(1) DEFAULT '0' NOT NULL,
FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCONTROLMETHOD CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MARKETACTIVITY_L') 
 CREATE TABLE T_DBD_MARKETACTIVITY_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MARKETACTIVITYORG') 
 CREATE TABLE T_DBD_MARKETACTIVITYORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MKTABRANCHENTRY') 
 CREATE TABLE T_DBD_MKTABRANCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '1' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_MKTATICTENTRY') 
 CREATE TABLE T_DBD_MKTATICTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FTICKETCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPLANISSUEQTY INT DEFAULT 0 NOT NULL,
FPLANISSUEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICCODERULEENTRY') 
 CREATE TABLE T_DBD_TICCODERULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATTRIBUTETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFIXVAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINITIAL INT DEFAULT 0 NOT NULL,
FLENGTH INT DEFAULT 0 NOT NULL,
FFORMAT CHAR(1) DEFAULT '0' NOT NULL,
FSTEP INT DEFAULT 0 NOT NULL,
FSPLITSIGN CHAR(1) DEFAULT ' ' NOT NULL,
FISENABLED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSCODERULE') 
 CREATE TABLE T_DBD_TICKETSCODERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENDRANDOM CHAR(1) DEFAULT ' ' NOT NULL,
FSKIP VARCHAR(30) DEFAULT ' ' NOT NULL,
FISUPGRADE CHAR(1) DEFAULT ' ' NOT NULL,
FSPLITCOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FEXAMPLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXAMPLELENGTH INT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSEQUENCE INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSCODERULE_L') 
 CREATE TABLE T_DBD_TICKETSCODERULE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSINFO') 
 CREATE TABLE T_DBD_TICKETSINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FVALIDITYDAYS INT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTICKETCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FHIKEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTICKETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOUCETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FISNEEDENCRYPTVERIFY CHAR(1) DEFAULT '0' NOT NULL,
FMINCONSUMEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONDITION CHAR(1) DEFAULT ' ' NOT NULL,
FTICKETAPPLYTERMINAL CHAR(1) DEFAULT ' ' NOT NULL,
FTENCENT VARCHAR(50) DEFAULT ' ' NOT NULL,
FMARKETACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FMAKEBILLID BIGINT DEFAULT 0 NOT NULL,
FTICKETSDISTRIBUTEID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEBILLID BIGINT DEFAULT 0 NOT NULL,
FCONSUMEBILLID BIGINT DEFAULT 0 NOT NULL,
FRECYCLEBILLID BIGINT DEFAULT 0 NOT NULL,
FPUBLISHBILLID BIGINT DEFAULT 0 NOT NULL,
FTICKETSTATUS CHAR(1) DEFAULT 'E' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGIFTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSINFO_L') 
 CREATE TABLE T_DBD_TICKETSINFO_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSTYPE') 
 CREATE TABLE T_DBD_TICKETSTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMEDIUM CHAR(1) DEFAULT '0' NOT NULL,
FCATEGORY CHAR(1) DEFAULT '1' NOT NULL,
FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FUSAGEMODE CHAR(1) DEFAULT '0' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISHIKEBUY CHAR(1) DEFAULT '0' NOT NULL,
FHIKEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIDITYDAYS INT DEFAULT 0 NOT NULL,
FTICKETCODERULEID BIGINT DEFAULT 0 NOT NULL,
FTICKETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTICKETCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPLANISSUEQTY INT DEFAULT 0 NOT NULL,
FPLANISSUEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMAKETICKETSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FTICKETSTYLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISNEEDENCRYPTVERIFY CHAR(1) DEFAULT '0' NOT NULL,
FISJOINPROMOTION CHAR(1) DEFAULT '0' NOT NULL,
FMINCONSUMEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONDITION CHAR(1) DEFAULT '0' NOT NULL,
FTICKETAPPLYTERMINAL CHAR(1) DEFAULT '0' NOT NULL,
FCOSTASSUMEOBJECT VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOSTASSUMEOBJID BIGINT DEFAULT 0 NOT NULL,
FCSSALEINPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCSRETOUTPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFOSALEINPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFORETOUTPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLMETHOD CHAR(1) DEFAULT ' ' NOT NULL,
FISALLGOODS CHAR(1) DEFAULT '0' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISOUTLINESTORE CHAR(1) DEFAULT '0' NOT NULL,
FISONLINESTORE CHAR(1) DEFAULT '0' NOT NULL,
FISONLINESHOP CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSTYPE_L') 
 CREATE TABLE T_DBD_TICKETSTYPE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSTYPE_O') 
 CREATE TABLE T_DBD_TICKETSTYPE_O (
FID BIGINT DEFAULT 0 NOT NULL,
FISDIFFINDUSTRYTICKET CHAR(1) DEFAULT '0' NOT NULL,
FCHECKNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMERCHANTID BIGINT DEFAULT 0 NOT NULL,
FCHECKSTART INT DEFAULT 0 NOT NULL,
FISPLATINTEGRATE CHAR(1) DEFAULT '0' NOT NULL,
FPLATFORMADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTENCENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSTYPECSTGRP') 
 CREATE TABLE T_DBD_TICKETSTYPECSTGRP (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSTYPEORG') 
 CREATE TABLE T_DBD_TICKETSTYPEORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICTBRANCHENTRY') 
 CREATE TABLE T_DBD_TICTBRANCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICTGOODSENTRY') 
 CREATE TABLE T_DBD_TICTGOODSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FGOODSCLASSIFYID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBD_TICKETSINFO_O') 
 CREATE TABLE T_DBD_TICKETSINFO_O (
FID BIGINT DEFAULT 0 NOT NULL,
FMAKERID BIGINT DEFAULT 0 NOT NULL,
FMAKETIME DATETIME,
FMAKEORGID BIGINT DEFAULT 0 NOT NULL,
FMAKEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FMAKEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVETIME DATETIME,
FRECEIVEORGID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONSUMEOPERATORID BIGINT DEFAULT 0 NOT NULL,
FCONSUMETIME DATETIME,
FCONSUMEORGID BIGINT DEFAULT 0 NOT NULL,
FCONSUMEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCONSUMEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONSUMEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECYCLERID BIGINT DEFAULT 0 NOT NULL,
FRECYCLETIME DATETIME,
FRECYCLEORGID BIGINT DEFAULT 0 NOT NULL,
FRECYCLEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FRECYCLEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPUBLISHERID BIGINT DEFAULT 0 NOT NULL,
FPUBLISHTIME DATETIME,
FPUBLISHORGID BIGINT DEFAULT 0 NOT NULL,
FPUBLISHBRANCHID BIGINT DEFAULT 0 NOT NULL,
FPUBLISHBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCANCELLERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FGIFTERID BIGINT DEFAULT 0 NOT NULL,
FGIFTTIME DATETIME,
FGIFTORGID BIGINT DEFAULT 0 NOT NULL,
FGIFTBRANCHID BIGINT DEFAULT 0 NOT NULL,
FGIFTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DBD_table.sql **/
