 -- 渠道用户数据升级(b.FID = r.FENTRYID 代表分录已被升级过，a.FSYSUSERID = u.FSYSUSERID and a.FOWNERID = r.FOWNERID 标识关系已存在，不需要升级)
INSERT INTO t_dbd_drpuser 
(FID, FSYSUSERID, FOWNERID, FREMARK, FISDPTADMIN, FISSALER, FISDISPATCHER, FISCUSORDERPROCESSOR, FISBUYER, FCREATORID, FCREATETIME, FMODIFIERID, FMODIFYDATE, FISDEFAULT, FENABLE) 
SELECT 
r.FENTRYID, u.FSYSUSERID, r.FOWNERID, r.FENTRYREMARK, r.FISDPTADMIN, r.FISSALER, r.FISDISPATCHER, r.FISCUSORDERPROCESSOR, r.FISBUYER, u.FCREATORID, u.FCREATETIME, u.FMODIFIERID, u.FMODIFYTIME, r.FISDEFAULT, u.FENABLE 
FROM t_mdr_userinfo u 
INNER JOIN t_mdr_user_relation r ON u.FID = r.FID 
WHERE NOT EXISTS (SELECT a.FID FROM t_dbd_drpuser a WHERE a.FSYSUSERID = u.FSYSUSERID and a.FOWNERID = r.FOWNERID) 
AND NOT EXISTS (SELECT b.FID FROM t_dbd_drpuser b WHERE b.FID = r.FENTRYID );
